$roboto : 'Roboto', sans-serif;

@function calculateRem($size) {
    $remSize: $size / 16px;
    @return #{$remSize}rem;
}

@mixin font-light {
    font-family: $roboto;
    font-weight: 300;
}
@mixin font-normal {
    font-family: $roboto;
    font-weight: 400;
}
@mixin font-medium {
    font-family: $roboto;
    font-weight: 500;
}
@mixin font-bold {
    font-family: $roboto;
    font-weight: 700;
}
@mixin font-black {
    font-family: $roboto;
    font-weight: 900;
}

@mixin font($font, $size, $color) {
    @if $font == light{
        @include font-light();
    }
    @if $font == normal{
        @include font-normal();
    }
    @if $font == medium{
        @include font-medium();
    }
    @if $font == bold{
        @include font-bold();
    }
    @if $font == black{
        @include font-black();
    }
    font-size: calculateRem($size);
    color: $color;
}